Множественные уязвимости в Fastpublish CMS

Дата публикации:
06.10.2008
Всего просмотров:
3187
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-4518
CVE-2008-4519
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Fastpublish CMS 1.x
Уязвимые версии: Fastpublish CMS 1.9999 d Trial, возможно другие версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды в базе данных приложения и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "sprache" в сценарии index2.php и в параметре "artikel" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Пример:

http://[host]/index.php?artikel=[SQL]

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "target" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Пример:

http://[host]/index.php?artikel=2&target=./[file]

URL производителя: www.fastpublish.org

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA